Bug Hunting Session
Bug 52093 - INSTALLATION: MSI issues
Summary: INSTALLATION: MSI issues
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
3.5.5.3 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:3.7.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-14 16:32 UTC by João Mac-Cormick
Modified: 2013-03-06 11:33 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description João Mac-Cormick 2012-07-14 16:32:04 UTC
New register error in version 3.5.5.3
"HKEY_CLASSES_ROOT\CLSID\{AE424E85-F6DF-4910-A6A9-438797986431}\InprocServer32" = "%LIBO%\program\shlxthdl\propertyhdl.dll"

Workaround: "%REG%" ADD    "HKEY_CLASSES_ROOT\CLSID\{AE424E85-F6DF-4910-A6A9-438797986431}\InprocServer32" /VE /D "%LIBO%\program\shlxthdl\shlxthdl.dll" /F >NUL 2>NUL

=========================

Some errors from the previous version (3.5.4.2) remained:

https://bugs.freedesktop.org/show_bug.cgi?id=51651

*** MSI properties that don't work
REGISTER_PPAM=1
REGISTER_PPSM=1
REGISTER_XLAM=1

*** Another extension association does not exist or is incorrect in the
register "HKEY_CLASSES_ROOT"
.sdp=soffice.StarImpressDocument.5
.sxg=soffice.StarWriterGlobalDocument.6
.ppam=OpenOffice.org.Ppam
.ppsm=OpenOffice.org.Ppsm
.xlam=OpenOffice.org.Xlam

*** icon path of xmergesync.dll does not exist in "HKEY_CLASSES_ROOT\CLSID"
"{43887C67-4D5D-4127-BAAC-87A288494C7C}\DefaultIcon"
"{BDD611C3-7BAB-460F-8711-5B9AC9EF6020}\DefaultIcon"
"{C6AB3E74-9F4F-4370-8120-A8A6FABB7A7C}\DefaultIcon"
"{CB43F086-838D-4FA4-B5F6-3406B9A57439}\DefaultIcon"

*** An extension association does not exist or is incorrect in the register
"HKLM\SOFTWARE\The Document
Foundation\LibreOffice\%VERSION%\Capabilities\FileAssociations"
.sdp=soffice.StarImpressDocument.5
.sxg=soffice.StarWriterGlobalDocument.6
.ppam=OpenOffice.org.Ppam
.ppsm=OpenOffice.org.Ppsm
.xlam=OpenOffice.org.Xlam
soffice.StarWriterGlobalDocument.6=??????
Comment 1 Rainer Bielefeld Retired 2012-07-15 07:34:47 UTC
@João
Are there any visible consequences for users? If yes, what ones?
Comment 2 João Mac-Cormick 2012-07-16 20:58:29 UTC
How is the DLL xmergesync, may have sync problem in the pocket, for example.

When you register a file so wrong, what is expected may not occur.

The ideal is to register correctly to avoid future problems.


2012/7/15, bugzilla-daemon@freedesktop.org <bugzilla-daemon@freedesktop.org>:
> https://bugs.freedesktop.org/show_bug.cgi?id=52093
>
> Rainer Bielefeld <LibreOffice@bielefeldundbuss.de> changed:
>
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                  CC|
> |LibreOffice@bielefeldundbus
>                    |                            |s.de
>
> --- Comment #1 from Rainer Bielefeld <LibreOffice@bielefeldundbuss.de>
> 2012-07-15 07:34:47 UTC ---
> @João
> Are there any visible consequences for users? If yes, what ones?
>
Comment 3 Not Assigned 2012-09-12 14:15:26 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=da22f583f9a3207dd19d42db213bc64ffddfa7b5

unused MSI properties: REGISTER_PPAM/PPSM/XLAM, related: fdo#52093



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 bfoman (inactive) 2013-01-28 12:56:35 UTC
Andras Timar: can you please update status of this one if fixed? Thanks.
Comment 5 Timur 2013-03-06 11:33:20 UTC
This (In reply to comment #3)
Since there is no further comments, marking as FIXED.